<?php

function smarty_compiler_append_string($tag_attrs, &$compiler){
    $_params = $compiler->_parse_attrs($tag_attrs);

    if (!isset($_params['var'])) {
        $compiler->_syntax_error("assign: missing 'var' parameter", E_USER_WARNING);
        return;
    }

    if (!isset($_params['value'])) {
        $compiler->_syntax_error("assign: missing 'value' parameter", E_USER_WARNING);
        return;
    }

    $ausgabe = '';

    $_params['var'] = substr($_params['var'],1,-1);
    $_params['value'] = substr($_params['value'],1,-1);

    $ausgabe .= '$this->tk_append_string("'.$_params['var'].'", "'.$_params['value'].'"'.(isset($_params['br'])?', 1':'').');';
    return $ausgabe;
}
# EOF
?>