<?php
require_once('./__inc/_start.inc.php');
$_seite = 0;

if(isset($_GET['changelog'])){
	$_tmpl->assign('ueberschrift','Changelog von tkswim');
	$pfad = './CHANGELOG';
	require_once(PFAD_INCLUDE.'func/parsechangelog.inc.php');
	if(isset($_GET['aeltere'])){
		$changelog = parseChangelog($pfad, false, date('Y-m-d', strtotime('-2 year', getlastmod())), false);
	}
	else{
		$changelog = parseChangelog($pfad, date('Y-m-d', strtotime('-2 year', getlastmod())));
	}
	$_tmpl->assign('changelog',$changelog);
	$_tmpl->assign('aeltere',isset($_GET['aeltere'])?1:0);
	$_inh .= $_tmpl->fetch('tmpl.0.index.inc.html');
}
elseif(isset($_GET['passwortvergessen'])){
	$query = "SELECT m.id, vorname FROM ".DB_PREFIX."mitglieder as m, ".DB_PREFIX."rechtegruppen_mitglieder as rm
				WHERE m.id = rm.mitgliedid AND rechtegrid = 1 GROUP BY m.id ORDER BY vorname";
	$_db->holeDaten($query);
	$tmp = $_db->baueArray('vorname', '#');
	$anz = $_db->holeAnzahl();
	$admins = '';
	for($i=0;$i<$anz;$i++){
		$admins .= $tmp[$i];
		if($i<$anz-2){
			$admins .= ', ';
		}
		elseif($i==$anz-2){
			$admins .= ' oder ';
		}
	}
	$_tmpl->assign('admins', $admins);
	$_tmpl->assign('admins_anz', $anz);
	$_inh .= $_tmpl->fetch('sonstiges/0.passwortvergessen.inc.html');
}
elseif(isset($_SESSION['eingelogt']) and !isset($_SESSION['adminlogin'])){
	# Trainingsgruppen
	$query = "SELECT t.id, TIME_FORMAT(t.anfangszeit, '%H:%i') as anfang, t.wochentag, t.kommentar
				FROM ".DB_PREFIX."trainingsgruppen_uebungsleiter as tu LEFT JOIN ".DB_PREFIX."trainingsgruppen as t ON t.id=tu.trainingsgruppenid
				WHERE uebungsleiterid=".$_SESSION['user']['id']."
				ORDER BY t.wochentag, t.anfangszeit";
	$_db->holeDaten($query);
	$trainingsgruppen = false;
	if($_db->holeAnzahl()){
		$daten = $_db->baueArray('*', '#');
		$trainingsgruppen = array();
		foreach($daten as $gruppe){
			$trainingsgruppen[$gruppe['id']] = array(
				'titel' => $_wochentage[$gruppe['wochentag']].', '.$gruppe['anfang'].' Uhr',
				'kommentar' => $gruppe['kommentar']
			);
		}
	}
	$_tmpl->assign('trainingsgruppen', $trainingsgruppen);

	# aktueller Stundennachweis
	$stundennachweisurl = false;
	if($trainingsgruppen !== false){
		require_once(PFAD_INCLUDE.'class/stundennachweise.inc.php');
		$std = new stundennachweise();
		$aktuell = date('Y').'_'.(date('n')<7?1:2);
		if(isset($std->daten[$aktuell])){
			$stundennachweisurl = '/training/stundennachweis'.TKSWIM_DATEIENDUNG.'?aktion=bearbeiten&amp;id='.$aktuell;
		}
		else{
			$stundennachweisurl = '/training/stundennachweis'.TKSWIM_DATEIENDUNG.'?aktion=neu&amp;halbj='.$aktuell;
		}
	}
	$_tmpl->assign('stundennachweisurl', $stundennachweisurl);

	# abzuwickelnde Wettkaempfe
	$abzuwickelndewettkaempfe = false;
	if($_SESSION['flags']['abzuwickelndewettkaempfe']){
		require_once(PFAD_INCLUDE.'func/wettkaempfe_leseabzuwickelndeein.inc.php');
		wettkaempfe_leseAbzuwickelndeEin();
		$abzuwickelndewettkaempfe = $_SESSION['user']['wkabwickeln']['wettkaempfe'];
	}
	$_tmpl->assign('abzuwickelndewettkaempfe', $abzuwickelndewettkaempfe);

	# Hall-of-Fame-Links (es wird immer ein zuflliger aus den 4 50m- und 100m-Strecken und den 200L angezeigt)
	$hoflinks = array(
		'lage=1&laenge=50',  # 50F
		'lage=2&laenge=50',  # 50B
		'lage=3&laenge=50',  # 50R
		'lage=4&laenge=50',  # 50S
		'lage=1&laenge=100', # 100F
		'lage=2&laenge=100', # 100B
		'lage=3&laenge=100', # 100R
		'lage=4&laenge=100', # 100S
		'lage=5&laenge=200'  # 200L
	);
	$_tmpl->assign('halloffame', $hoflinks[array_rand($hoflinks)]);

	$_inh .= $_tmpl->fetch('tmpl.0.index.inc.html');
}
require_once('./__inc/_ende.inc.php');
# EOF
?>